package com.ffii.fpsms.modules.user.entity;

import java.util.List;
import java.util.Optional;

import org.springframework.data.repository.query.Param;

import com.ffii.core.support.AbstractRepository;

public interface UserRepository extends AbstractRepository<User, Long> {

  List<User> findByName(@Param("name") String name);

  Optional<User> 	findByUsernameAndDeletedFalse(String username);
}
